package com.jw.app.business.uploadfile;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface uploadfileDAO {
	
    void insert_uploadfile(Map<String,Object> entity) throws BusinessException ;
	
	void update_uploadfile(Map<String,Object> entity) throws BusinessException ;
	
	void setnull_binary_data(List<String> list) throws BusinessException ;
	
	void delete_uploadfile(List<String> list) throws BusinessException;//软删除
	
	void resume_uploadfile(List<String> list) throws BusinessException;//恢复删除
	
	void delete_true_uploadfile(List<String> list) throws BusinessException;//在软删基础上删除记录
	
    List<Map<String,Object>> list_uploadnofile(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_uploadnofile(Map<String,Object> query) throws BusinessException ;
	
    List<Map<String,Object>> list_uploadfile(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_uploadfile(Map<String,Object> query) throws BusinessException ;
    
    int listCount_uploadfile(Map<String, Object> query) throws BusinessException ;
    
    /**---------------供其它模块接口使用-------------------**/
    List<Map<String,Object>> list_uploadnofile_webservices(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_uploadnofile_webservices(Map<String,Object> query) throws BusinessException ;
    void delete_uploadfile_common(Map<String, Object> query) throws BusinessException;//软删除
	
	void resume_uploadfile_common(Map<String, Object> query) throws BusinessException;//恢复删除
	
	void delete_true_uploadfile_common(Map<String, Object> query) throws BusinessException;//在软删基础上删除记录

}
